Create a filter definition
curl --request POST \
--url https://api.pocketflows.com/businesses/{id}/filter_definitions \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"variable_name": "<string>",
"label": "<string>",
"options": [
{
"label": "<string>",
"value": "<string>"
}
]
}
'import requests
url = "https://api.pocketflows.com/businesses/{id}/filter_definitions"
payload = {
"variable_name": "<string>",
"label": "<string>",
"options": [
{
"label": "<string>",
"value": "<string>"
}
]
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
variable_name: '<string>',
label: '<string>',
options: [{label: '<string>', value: '<string>'}]
})
};
fetch('https://api.pocketflows.com/businesses/{id}/filter_definitions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"label": "<string>",
"variable_name": "<string>",
"enabled": true,
"options": [
{
"label": "<string>",
"value": "<string>"
}
]
}Filter definitions
Create a filter definition
POST
/
businesses
/
{id}
/
filter_definitions
Create a filter definition
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The ID of the business
Body
application/json
The variable name of the filter definition
The label of the filter definition
The type of the filter definition
Available options:
select, text, number, boolean, datetime, currency, array_of_known The options for the select dropdown
Show child attributes
Show child attributes
Response
200 - application/json
The created FilterDefinition object
The ID of the filter definition
The label of the filter definition
The variable name of the filter definition
The type of the filter definition
Available options:
select, text, number, boolean, datetime, currency, array_of_known Whether the filter definition is enabled
The options for the select dropdown
Show child attributes
Show child attributes
⌘I